| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
boost::locale::calendar_facet Class Reference

the facet that generates calendar for specific locale More...

`#include <boost/locale/date_time_facet.hpp>`

List of all members.

## Public Member Functions

| calendar_facet (size_t refs=0)
virtual abstract_calendar * | create_calendar () const =0

## Static Public Attributes

static std::locale::id | id

## Detailed Description

the facet that generates calendar for specific locale

## Constructor & Destructor Documentation

boost::locale::calendar_facet::calendar_facet | ( | size_t | refs = `0` | ) | `[inline]`

Basic constructor

## Member Function Documentation

virtual abstract_calendar* boost::locale::calendar_facet::create_calendar | ( |  | ) | const`[pure virtual]`

Create a new calendar that points to current point of time.

## Member Data Documentation

std::locale::id boost::locale::calendar_facet::id`[static]`

Locale id (needed to work with std::locale)

The documentation for this class was generated from the following file:

- boost/locale/date_time_facet.hpp